<?php

/**
 * @file
 * module admin.
 */

// Load form helper.
module_load_include('inc', 'socialshare', 'includes/socialshare.admin.form');

/**
 * Form builder: Configure the socialshare system.
 */
function _socialshare_settings() {
  $form = array();
  $form = array_merge($form, _subform_socialshare_display());

  // Customize.
  $form['socialshare_customize'] = array(
    '#type' => 'fieldset',
    '#weight' => 3,
    '#title' => t('Customize'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE
  );

  $form['socialshare_customize']['socialshare_customize_position_margintop'] = array(
    '#type' => 'textfield',
    '#title' => t('Scroll postion top'),
    '#description' => t('number only. for example: 60'),
    '#size' => 10,
    '#default_value' => variable_get('socialshare_customize_position_margintop', 60),
  );

  return system_settings_form($form);
}

/**
 * Form builder: Buttons management.
 */
function _socialshare_button_management() {
  $form = _subform_socialshare_buttons();
  return system_settings_form($form);
}

/**
 * Provide a single block from the administration menu as a page.
 */
function _socialshare_admin_menu_block_page() {
  $item = menu_get_item();
  if ($content = system_admin_menu_block($item)) {
    $output = theme('admin_block_content', array(
      'content' => $content
    ));
  }
  else {
    $output = t('You do not have any administrative items.');
  }
  return $output;
}
